
function E(id)
{
  return document.getElementById(id);
}

function removeChildren(el)
{
  while (el.hasChildNodes())
    el.removeChild(el.firstChild);
}



function debug(msg)
{
  consoleService().logStringMessage(msg);
  dump(msg + "\n");
}

function errorNonCritical(e)
{
  consoleService().logStringMessage(e);
  dump(e + "\n\nStack:\n" + e.stack);
  //dump(e + "\n");
}

function errorCritical(e)
{
  consoleService().logStringMessage("ERROR: " + e);
  dump("ERROR: " + e + "\n\nStack:\n" + e.stack);
  //dump("ERROR: " + e + "\n");  
  alert(e);
}
